<!DOCTYPE html>
<html lang="cs">

<head>
    <!--Title-->
    <title>Představení bakalářské práce</title>

    <!--Styles-->
    <link rel="stylesheet" href="indexstyle.css" type="text/css" media="screen" />
    <link rel="icon" type="image/ico" href="miscs/appIcon.png" />

    <!--Meta-->
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta name="generator" content="PSPad editor, www.pspad.com" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="google-site-verification" content="dpfq_2p2KKPctztIWNIsrUdqqTGZBvnpweiym-QT_U0" />

    <!--Script-->
    <script type="text/javascript" src="OAuth_v2/SignInClient.js" async></script>
    <script type="text/javascript" src="UI/indexUI.js" async></script>

</head>

<body class="Obal">
    <div id="heading">
        <div id="appName">
            <img id="appIcon" src="miscs/appIcon.png">
            <p id="name">Webový systém pro editaci dat z obrazově-textových databází</p>
        </div>
        <div id="signIn">
            <form action="/app" method="GET">
                <button id="authorize_button">Přihlášení přes Google Účet</button>
            </form>
        </div>
    </div>
    <div id="infotext">
        <div id="usage">
            <h1>Předpoklady ke správnému používání aplikace:</h1>
            <h2><b style="color: red;">!!</b> Aplikace je stále v testovacím režimu kvůli tomu, že Google aplikaci neověřil <b style="color: red;">!!</b></h2>
            <p><b>Pro přihlášení použijte testovací Google účet:</b></p>
            <ul>
                <li><p><b>ID: </b>nodejs.api01@gmail.com</p></li>
                <li><p><b>Heslo: </b>Nodejs.API01</p></li>
            </ul>
            <p>Na Google Drivu musíte mít obrázky ve formátu <b style="color: red;">.bmp .jpg .png .pbm</b> a textový dokument ve formátu Google
                Doc.<br>
                Google umožňuje automaticky převést textové soubory do Google Doc, postup na povolení tohoto nastavení
                je <a
                    href="https://alicekeeler.com/2014/09/20/new-google-drive-always-convert-office-documents/"><b>zde</b></a><br>
                Dále v menu aplikace se zobrazují pouze složky a obrázky, po zvolení obrázku se zobrazí zároveň s ním i
                <b>STEJNOJMENNÝ</b> textový dokument. Pokud tento dokument není nalezen, aplikace umožní obrázek převést
                na text pomocí OCR technologie s knihovnou Tesseract.js
            </p>
        </div>
        <div id="intro">
            <h1>Představení</h1>
            <p>Unikátní webové rozhraní umožňující práci se sdruženými daty obrázků a příslušného textu.<br>
                Aplikace pracuje ve spojení s Vaším Google Diskem na který se přihlasíte pomocí vašeho Google účtu. Je
                zapotřebí udělit aplikaci přístup ke Google Disku!<br>
                Následně budete schopni v aplikaci prohlížet a zobrazovat vaše soubory z Disku.<br>
                Hlavní myšlenkou je usnadnění práce s obrázky a jejich OCR přepisy bok po boku. Tím se zjednoduší oprava
                případných chyb v překladu.
                <br>
                <b>Podporované jsou pouze soubory s koncovkou .bmp .jpg .png .pbm</b>, to kvůli <a
                    href="https://tesseract.projectnaptha.com/"><b>Tesseract.js</b></a>
                <br>
                <br>
                <i>Tato aplikace je Bakalářskou prací studenta TUL, <b>Lukáše Soukupa</b>. Práce byla zadána Panem <b>doc. Ing. Josef
                Chaloupka, Ph.D.</b></i>
            </p>
            <h3>Zadání bakalářské práce</h3>
            <ol>
                <li>Vytvořte univerzální webové rozhraní, které umožní práci se sdruženými daty obrázků a příslušného
                    textu.</li>
                <li>První část webového rozhraní bude sloužit pro import a prohlížení jednotlivých dat. Zde vytvořte
                    administraci webových stránek (přihlašování) a administraci vkládání obrazů a příslušných textů.
                </li>
                <li>druhé části realizujte vyhledávání klíčových slov (kratších větných spojení), kde prohledávání bude
                    realizováno v přepsaných textech jednotlivých obrázků (skenů), přičemž přepsané texty budou odkazově
                    spojeny s jednotlivými skeny.</li>
                <li>Navržené webové rozhraní otestujte na archivu ročenek německého Jizersko-ješťedsko-horského spolku a
                    jejich OCR přepisů.</li>
            </ol>
            <h5><b>Datum dokončeí: </b>09. 07. 2021</h5>
        </div>
        <div id="functions">
            <h1>Funkce</h1>
            <h3>Menu</h3>
            <ul>
                <li>Součástí menu je prohledávání disku podporující regulérní výrazy. Výsledek prohledávání zobrazí
                    odpovídající složky i soubory. Prohledává se jak soukromý, tak sdílený disk.</li>
                <li>Pokud by se stalo, že výsledků je větší množství(konkrétně více jak 100), objeví se tlačítko
                    "<b>Další -></b>". Po jeho kliknutí se zobrazí zbývající výsledky do menu. Toto je zapříčiněno
                    omezením ze strany Google Drive API.</li>
                <li>A nakonec samozřejmně je tu možnost procházet zpět v menu tlačítkem "<b>Zpět -></b>".</li>
            </ul>
            <h3>Vyhledávání</h3>
            <p>Funkce vyhledávání, ikona v pravém dolním rohu, vyhledává Vámi zadaná klíčová slova ve všech nalezených
                textových dokumentech uvnitř vybrané složky. Výsledky zobrazí sestupně dle četnosti výskytu. Lze také na
                vybraný textový dokument kliknout a tím ho zobrait společně s příslušným obrázkem.</p>
            <h3>Interaktivní obsah</h3>
            <h4>Postup vytvoření obsahu:</h4>
            <ol>
                <li>Nalezněte obrázek, ze kterého chcete vytvořit interaktivní obsah. Mělo by se jednat o obrázek jehož
                    dokumennt obsahuje odstavce začínající řetězcem: [<b>#[číslo] </b>] <i>(výchozí)</i> - 1.# 2. číslo
                    stránky 3.mezera. Tento řetezec lze jednoduše změnit v menu interaktivního obsahu</li>
                <li>Klikněte pravým tlačítkem myši na zvolený obrázek a zvolte <i>Nastavit jako stránku s obsahem</i>
                </li>
                <li>Zobrazí se nové menu s odkazy na jednotlivé odstavce. Pokud se nic nezobrazí, nejspíše odstavce
                    Google Dokumentu příslušného obrázku nezačínají správným řetězcem.</li>
            </ol>
            <i>Algoritmus je funkční, ale není 100% korektní, občas se stane, že spojí číslo stránky s naprosto odlišným
                souborem a nebo nenajde soubor vůbec. To je zapříčiněno chabným OCR překladem dokumentu. Ačkoliv
                algoritmus obsahuje jakési primitivní korekce překladu, může se stát, že překlad bude natolik nečitelný,
                že číslo stránky jednoduše nelze nalézt.</i>
            <h3>Pracovní prostředí</h3>
            <ul>
                <li>Nastavení
                    <ul>
                        <li>Možnost přepínání mezi sdílenými a vlastními soubory</li>
                        <li>Odhlášení</li>
                    </ul>
                </li>
                <li>Posuvný prvek mezi obrázkem a textem
                    <ul>
                        <li>Lze táhnutím posunout lištu a tím zvětšít/zmenšit obrázek</li>
                    </ul>
                </li>
                <li>Lupa
                    <ul>
                        <li>Umožňuje až 10x zvětšit obrázek</li>
                    </ul>
                </li>
            </ul>
            <h3>Soukromé/Sdílené soubory</h3>
            <h3>Přepis obrázku pomocí OCR do Google Dokumentu</h3>
            <p>Zpráva se zobrazí pokud zvolený obrázek nemá příslušný textový dokument. Po kliknutí na tlačítko přeložit
                se vytvoří Google Dokument s textovým obsahem obrázku a rovnou se zobrazí v aplikaci.</p>
        </div>
    </div>
    <div id="footer">
        <div id="contact">
            <p>Lukáš Soukup</p>
            <p>soukup.199717@centrum.cz</p>
            <p>@ ocr-drive-editor 2021</p>
            <p>All Rights Reserved</p>
        </div>
        <div id="links">
            <a id="ig" href="https://www.instagram.com/lukasso97/" title="Follow me on Instagram"><img src="/miscs/Instagram.png"></a>
            <a id="git" href="https://gitlab.com/lukas.soukup/bakalarska-prace" title="GitLab Repozitory"><img src="/miscs/gitlab.png"></a>
        </div>
    </div>
</body>

</html>